/**
 * Created by jmoutard on 21/07/16.
 */

'use strict';

angular.module('adf.electre')
    .controller('dashboardCtrl', [
        "$scope", "$rootScope", "$location", "$stateParams", "storeService", "data", "loggedIn",
        function ($scope, $rootScope, $location, $stateParams, storeService, data, loggedIn) {

            this.name = $stateParams.id || 0;
            this.model = data || undefined;

            this.remove = function(id){
                storeService.remove(id, loggedIn)
                    .then(function () {
                        $rootScope.$broadcast('navChanged');
                        $location.path('/');
                    });
            };

            $scope.$on('adfDashboardChanged', function(event, name, model) {
                storeService.add(name, model).then(function () {
                    $rootScope.$broadcast('navChanged');
                });
            });
        }
    ]);